using System;
using System.Collections.Generic;
using System.Text;
using TestSearch;

namespace GuiSearch
{
    class QuickList : System.Windows.Forms.ListView
    {
        /// <summary>
        /// This is needed to fix a bug in the framework
        /// </summary>
        public new int VirtualListSize
        {
            get
            {
                return base.VirtualListSize;
            }
            set
            {
                if (Items.Count > 0)
                {
                    EnsureVisible(0);
                }
                base.VirtualListSize = value;
            }
        }
    }
}
